﻿using Microsoft.Practices.Prism.MefExtensions;
using Microsoft.Practices.Prism.Modularity;
using System;
using System.Collections.Generic;
using System.ComponentModel.Composition.Hosting;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;


namespace PrismMEFEx
{
    class Bootstrapper :MefBootstrapper
    {
        protected override System.Windows.DependencyObject CreateShell()
        {
            return new MainWindow();
        }

        protected override void InitializeShell()
        {
            base.InitializeShell();
            App.Current.MainWindow = (Window)Shell;
            App.Current.MainWindow.Show();
        }

        protected override void ConfigureAggregateCatalog()
        {
            base.ConfigureAggregateCatalog();
            var catalog = new AssemblyCatalog(typeof(ClassLibrary1.ModuleA).Assembly);
            AggregateCatalog.Catalogs.Add(catalog);
          
            
        }
    }
}
